CSegSet Class Reference
Perfusion Analysis

A set of segmentation of a 2D series of perfusion images. More...

`#include <mia/2d/segset.hh>`

Inheritance diagram for CSegSet:
[legend]
Collaboration diagram for CSegSet:
[legend]

## Public Types

typedef std::vector< CSegFrame > | Frames
| convenience typedef for the frames comprising a segmentation set

## Public Member Functions

void | add_frame (const CSegFrame &frame)
| CSegSet ()
| Standard constructor.
| CSegSet (const CXMLDocument &node)
| CSegSet (const std::string &src_filename)
| CSegSet (int version)
const C2DBoundingBox | get_boundingbox () const
Frames & | get_frames ()
const Frames & | get_frames () const
int | get_LV_peak () const
int | get_preferred_reference () const
int | get_RV_peak () const
void | rename_base (const std::string &new_base)
void | set_LV_peak (int peak)
void | set_preferred_reference (int value)
void | set_RV_peak (int peak)
CSegSet | shift_and_rename (size_t skip, const C2DFVector &shift, const std::string &new_filename_base) const
void | transform (const C2DTransformation &t)
CXMLDocument | write () const
Public Member Functions inherited from CIOData
const std::string & | get_source_format () const
void | set_source_format (const std::string &format)

## Detailed Description

A set of segmentation of a 2D series of perfusion images.

A set of slices containing segmentation information specifically designed for myocardial perfusion image series.

Definition at line 40 of file segset.hh.

## Member Typedef Documentation

## Frames

typedef std::vector<CSegFrame> CSegSet::Frames

convenience typedef for the frames comprising a segmentation set

Definition at line 44 of file segset.hh.

## Constructor & Destructor Documentation

## CSegSet() [1/4]

CSegSet::CSegSet | ( |  | ) |

Standard constructor.

Referenced by shift_and_rename().

## CSegSet() [2/4]

CSegSet::CSegSet | ( | const std::string & | src_filename | ) |

Construct the segmentation set by reading from a file

Parameters

  src_filename | file name to read set from

## CSegSet() [3/4]

CSegSet::CSegSet | ( | const CXMLDocument & | node | ) |

Construct a segmentation set by reading from a XML document

Parameters

  node | the root node of the XML document

## CSegSet() [4/4]

CSegSet::CSegSet | ( | int | version | ) |

## Member Function Documentation

## add_frame()

void CSegSet::add_frame | ( | const CSegFrame & | frame | ) |

Append a segmentation frame

Parameters

  frame |

Referenced by CSegSetWithImages::save_images().

## get_boundingbox()

const C2DBoundingBox CSegSet::get_boundingbox | ( |  | ) | const

Returns
  the box of minimal size that includes the segmentation

## get_frames() [1/2]

Frames & CSegSet::get_frames | ( |  | ) |

Returns
  a reference to the read-write vector of the segmentation frames Changing this vector changes the segmentation set

## get_frames() [2/2]

const Frames & CSegSet::get_frames | ( |  | ) | const

Returns
  read-only vector of the segmentation frames

## get_LV_peak()

int CSegSet::get_LV_peak | ( |  | ) | const

\returns the frame number of the LV peak enhancement (-1 if not set)

## get_preferred_reference()

int CSegSet::get_preferred_reference | ( |  | ) | const

\returns the frame number of the image that should be used as reference frame for time-intensity analysis after motion compensation - if the used motion compensation algorithm provides some (like quasiperiodic, one2many, or serial do). Returns -1 if no values is given.

## get_RV_peak()

int CSegSet::get_RV_peak | ( |  | ) | const

\returns the frame number of the RV peak enhancement (-1 if not set)

## rename_base()

void CSegSet::rename_base | ( | const std::string & | new_base | ) |

Rename the base of the image file names for all frames on a frame by frame basis.

Parameters

  new_base | new base name

## set_LV_peak()

void CSegSet::set_LV_peak | ( | int | peak | ) |

Set the frame number of the LV peak enhancement

Parameters

  peak |

## set_preferred_reference()

void CSegSet::set_preferred_reference | ( | int | value | ) |

Set the preferred reference frame for this segmentation set.

Parameters

  value |

## set_RV_peak()

void CSegSet::set_RV_peak | ( | int | peak | ) |

Set the frame number of the RV peak enhancement

Parameters

  peak |

## shift_and_rename()

CSegSet CSegSet::shift_and_rename | ( | size_t | skip,
|  | const C2DFVector & | shift,
|  | const std::string & | new_filename_base ) const

This function renames the images files, shifts the origin of the segmentation and removes frames from the beginning of the set

Parameters

  skip | number of frames to skipü at the beginning
  shift | new origin of segmentation
  new_filename_base | new file name base

Remarks
  This function does too many things at once.

References CSegSet().

## transform()

void CSegSet::transform | ( | const C2DTransformation & | t | ) |

Transform the segmentations slice wise by using the given transformation Wroks in-place.

Parameters

  t | tranformation

## write()

CXMLDocument CSegSet::write | ( |  | ) | const

Write the segmentation information to an XML tree

Returns
  root node of xml tree.

The documentation for this class was generated from the following file:

- segset.hh